## IAnjutaEditorHover

IAnjutaEditorHover — Text editor hover interface

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_hover_error_quark ()
void | ianjuta_editor_hover_display ()

## Signals

void | hover-leave | Run Last
void | hover-over | Run Last

## Types and Values

#define | IANJUTA_EDITOR_HOVER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorHover

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-hover>

## Description

## Functions

### ianjuta_editor_hover_error_quark ()

    GQuark
    ianjuta_editor_hover_error_quark (void);

### ianjuta_editor_hover_display ()

    void
    ianjuta_editor_hover_display (IAnjutaEditorHover *obj,
                                  IAnjutaIterable *position,
                                  const gchar *info,
                                  GError **err);

Show `info` as tooltip

#### Parameters

obj | Self |
info | String to display |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_HOVER_ERROR

    #define IANJUTA_EDITOR_HOVER_ERROR ianjuta_editor_hover_error_quark()

## Signal Details

### The `“hover-leave”` signal

    void
    user_function (IAnjutaEditorHover *obj,
                   IAnjutaIterable    *position,
                   gpointer            user_data)

User moved the mouse away - can be used to clean up things done in “hover-over”

#### Parameters

obj | self |
position | IAnjutaEditorCell specifying the position the mouse was over |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“hover-over”` signal

    void
    user_function (IAnjutaEditorHover *obj,
                   IAnjutaIterable    *position,
                   gpointer            user_data)

The mouse is held for a moment over `position` . This can be used to show all tooltip.

#### Parameters

obj | self |
position | IAnjutaEditorCell specifying the position the mouse is over |
user_data | user data set when the signal handler was connected. |

Flags: Run Last